Skip to main content
GET
/
v1
/
telemetry
/
counters
/
{metric_name}
/
total
Get Counter Total
curl --request GET \
  --url https://api.example.com/v1/telemetry/counters/{metric_name}/total
{
  "metric": "<string>",
  "total_count": 123,
  "labels": {
    "agent_id": "<string>",
    "deployment_environment": "<string>",
    "exported_job": "<string>",
    "job": "<string>",
    "service_name": "<string>",
    "service_namespace": "<string>",
    "service_version": "<string>",
    "team_id": "<string>",
    "user_id": "<string>",
    "evaluation_id": "<string>"
  }
}

Path Parameters

metric_name
string
required

Query Parameters

time_range
enum<string>
default:1d

Time range: 15m, 30m, 1h, 2h, 6h, 1d, 7d, 30d

Available options:
15m,
30m,
1h,
2h,
6h,
1d,
7d,
30d
evaluation_id
string | null

Filter by evaluation ID

test_id
string | null

Filter by test ID

probe_id
string | null

Filter by probe ID

agent_configuration_id
string | null

Filter by agent configuration ID

Response

Successful Response

Response model for counter total with metric and label information

metric
string
required

Metric name

total_count
number
required

Total counter value

labels
MetricLabels · object

Structured metric labels

Last modified on April 21, 2026